Bug 1575432 - rpmbuild fails to compile util-linux
Summary: rpmbuild fails to compile util-linux
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 22:51 UTC by Matt Daveson
Modified: 2018-08-02 15:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:33:24 UTC
Type: Bug


Attachments (Terms of Use)
util-linux-2.32-config.log (371.16 KB, text/plain)
2018-05-08 22:15 UTC, Matt Daveson
no flags Details
additional rpmbuild log (28.68 KB, text/plain)
2018-05-08 22:31 UTC, Matt Daveson
no flags Details

Description Matt Daveson 2018-05-06 22:51:33 UTC
"sudo dnf builddep util-linux" is done properly

$ rpmbuild -ba ~/rpmbuild/SPECS/util-linux.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.wVaoj8
+ umask 022
+ cd /home/user/rpmbuild/BUILD
+ cd /home/user/rpmbuild/BUILD
+ rm -rf util-linux-2.32
+ /usr/bin/xz -dc /home/user/rpmbuild/SOURCES/util-linux-2.32.tar.xz
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd util-linux-2.32
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ /usr/bin/cat /home/user/rpmbuild/SOURCES/2.28-login-lastlog-create.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/user/rpmbuild/SOURCES/column-fix-leading-space-characters-bug.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.QisAGX
+ umask 022
+ cd /home/user/rpmbuild/BUILD
+ cd util-linux-2.32
+ unset LINGUAS
+ export 'CFLAGS=-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection'
+ CFLAGS='-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection'
+ export SUID_CFLAGS=-fpie
+ SUID_CFLAGS=-fpie
+ export 'SUID_LDFLAGS=-pie -Wl,-z,relro -Wl,-z,now'
+ SUID_LDFLAGS='-pie -Wl,-z,relro -Wl,-z,now'
+ export DAEMON_CFLAGS=-fpie
+ DAEMON_CFLAGS=-fpie
+ export 'DAEMON_LDFLAGS=-pie -Wl,-z,relro -Wl,-z,now'
+ DAEMON_LDFLAGS='-pie -Wl,-z,relro -Wl,-z,now'
+ CFLAGS='-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ FCFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection -I/usr/lib64/gfortran/modules'
+ export FCFLAGS
+ LDFLAGS='-Wl,-z,relro  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
+ export LDFLAGS
+ '[' 1 = 1 ']'
+++ dirname ./configure
++ find . -name config.guess -o -name config.sub
+ for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub)
++ basename ./config/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /usr/bin/rm -f ./config/config.guess
++ basename ./config/config.guess
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config/config.guess
'/usr/lib/rpm/redhat/config.guess' -> './config/config.guess'
+ for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub)
++ basename ./config/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /usr/bin/rm -f ./config/config.sub
++ basename ./config/config.sub
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config/config.sub
'/usr/lib/rpm/redhat/config.sub' -> './config/config.sub'
+ '[' 1 = 1 ']'
+ '[' x '!=' 'x-Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' ']'
++ find . -name ltmain.sh
+ for i in $(find . -name ltmain.sh)
+ /usr/bin/sed -i.backup -e 's~compiler_flags=$~compiler_flags="-Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld"~' ./config/ltmain.sh
+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-systemdsystemunitdir=/usr/lib/systemd/system --disable-silent-rules --disable-bfs --disable-pg --enable-chfn-chsh --enable-usrdir-path --enable-write --enable-raw --enable-libmount-force-mountinfo --with-python=3 --with-systemd --with-udev --with-selinux --with-audit --with-utempter --disable-makeinstall-chown
configure: WARNING: unrecognized options: --enable-libmount-force-mountinfo
checking for x86_64-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/home/user/rpmbuild/BUILD/util-linux-2.32':
configure: error: C compiler cannot create executables
See `config.log' for more details
error: Bad exit status from /var/tmp/rpm-tmp.QisAGX (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.QisAGX (%build)
[user@localhost rpmbuild]$

Comment 1 Igor Gnatenko 2018-05-07 07:09:53 UTC
please paste config.log

Comment 2 Panu Matilainen 2018-05-07 11:35:00 UTC
gcc being broken (due to annobin mismatch or such) is the far likelier culprit than rpmbuild when gcc fails to produce binaries... But yes config.log will have the answers.

Comment 3 Matt Daveson 2018-05-08 22:15:34 UTC
Created attachment 1433451 [details]
util-linux-2.32-config.log

Comment 4 Matt Daveson 2018-05-08 22:31:56 UTC
Created attachment 1433452 [details]
additional rpmbuild log

Comment 5 Matt Daveson 2018-05-08 23:16:17 UTC
sudo dnf install automake

However should be installed automatically by builddep I guess.

Comment 6 Panu Matilainen 2018-05-09 04:33:53 UTC
If util-linux build needs automake then it must state it as a build-dependency. Note that this is a different issue than in original report, in that case it was gcc not working. Nevertheless, it ain't rpm's business.

Comment 7 Igor Raits 2018-08-02 15:33:24 UTC
There is nothing really to do from either RPM or util-linux side.


Note You need to log in before you can comment on or make changes to this bug.